
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Console Object &#8212; PythonScript 1.5.4.0 documentation</title>
    <link rel="stylesheet" href="_static/classic.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/language_data.js"></script>
    
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Enums" href="enums.html" />
    <link rel="prev" title="Editor Object" href="scintilla.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="enums.html" title="Enums"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="scintilla.html" title="Editor Object"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">PythonScript 1.5.4.0 documentation</a> &#187;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="console-object">
<h1>Console Object<a class="headerlink" href="#console-object" title="Permalink to this headline">¶</a></h1>
<dl class="class">
<dt id="Console">
<em class="property">class </em><code class="descname">Console</code><a class="headerlink" href="#Console" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="console.write">
<code class="descclassname">console.</code><code class="descname">write</code><span class="sig-paren">(</span><em>string</em><span class="sig-paren">)</span><a class="headerlink" href="#console.write" title="Permalink to this definition">¶</a></dt>
<dd><p>Writes text to the console.</p>
</dd></dl>

<dl class="method">
<dt id="console.writeError">
<code class="descclassname">console.</code><code class="descname">writeError</code><span class="sig-paren">(</span><em>string</em><span class="sig-paren">)</span><a class="headerlink" href="#console.writeError" title="Permalink to this definition">¶</a></dt>
<dd><p>Writes text to the console in red</p>
</dd></dl>

<dl class="method">
<dt id="console.clear">
<code class="descclassname">console.</code><code class="descname">clear</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#console.clear" title="Permalink to this definition">¶</a></dt>
<dd><p>Clears the console</p>
</dd></dl>

<dl class="method">
<dt id="console.show">
<code class="descclassname">console.</code><code class="descname">show</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#console.show" title="Permalink to this definition">¶</a></dt>
<dd><p>Shows the console window.</p>
</dd></dl>

<dl class="method">
<dt id="console.hide">
<code class="descclassname">console.</code><code class="descname">hide</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="headerlink" href="#console.hide" title="Permalink to this definition">¶</a></dt>
<dd><p>Hides the console window</p>
</dd></dl>

<dl class="method">
<dt id="console.run">
<code class="descclassname">console.</code><code class="descname">run</code><span class="sig-paren">(</span><em>commandLine</em><span class="optional">[</span>, <em>stdout</em><span class="optional">[</span>, <em>stderr</em><span class="optional">]</span><span class="optional">]</span><span class="sig-paren">)</span><a class="headerlink" href="#console.run" title="Permalink to this definition">¶</a></dt>
<dd><p>Runs an external program, with output optionally directed to the given objects (which must support a <cite>write</cite> method).</p>
<p>Not supplying stdout means that the console is used for stdout.</p>
<p>Not supplying stderr means that the default values from sys.stderr (normally the console, in red) is used.</p>
<p>e.g.:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="c1"># The basic form, run a normal command line.</span>
<span class="n">console</span><span class="o">.</span><span class="n">run</span><span class="p">(</span><span class="s1">&#39;cl.exe &quot;myfile.c&quot;&#39;</span><span class="p">)</span>

<span class="c1"># Create a new document in Notepad++</span>
<span class="n">notepad</span><span class="o">.</span><span class="n">new</span><span class="p">()</span>

<span class="c1"># Run someprogram.exe, and have the output written to the new document.</span>
<span class="n">console</span><span class="o">.</span><span class="n">run</span><span class="p">(</span><span class="s1">&#39;someprogram.exe&#39;</span><span class="p">,</span> <span class="n">editor</span><span class="p">)</span>
</pre></div>
</div>
<p>To run a batch file, you need to call cmd.exe with the /c parameter - like this:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">console</span><span class="o">.</span><span class="n">run</span><span class="p">(</span><span class="sa">r</span><span class="s1">&#39;cmd.exe /c c:\path\to\mybatch.bat arg1 arg2&#39;</span><span class="p">)</span>
</pre></div>
</div>
<p>The <code class="docutils literal notranslate"><span class="pre">r</span></code> before the quote signifies the text should be treated as “raw”, and hence the backslashes should be treated
as plain backslashes, not an escape.</p>
<p>The console will automatically parse Python, Visual Studio and GCC style errors and warnings. The filenames are
then clickable to open the file at the line number given.  If you would like some other form of warnings or errors
parsed, please send me an email (<a class="reference external" href="mailto:davegb&#37;&#52;&#48;pobox&#46;com">davegb<span>&#64;</span>pobox<span>&#46;</span>com</a>).  Also if you find a line that is parsed as an error or warning
and it shouldn’t have been, also let me know.</p>
</dd></dl>

<dl class="attribute">
<dt id="console.editor">
<code class="descclassname">console.</code><code class="descname">editor</code><a class="headerlink" href="#console.editor" title="Permalink to this definition">¶</a></dt>
<dd><p>An <a class="reference internal" href="scintilla.html#Editor" title="Editor"><code class="xref py py-class docutils literal notranslate"><span class="pre">Editor</span></code></a> object for the console window.  This enables you to change colours, styles, even add and remove text if
you so wish, from the console window.  Note that the console window is always left in a read-only state, so in order to change
text, you would need to first perform a <code class="docutils literal notranslate"><span class="pre">console.editor.setReadOnly(0)</span></code>.  Any subsequent <code class="docutils literal notranslate"><span class="pre">console.write</span></code> or <code class="docutils literal notranslate"><span class="pre">console.writeError</span></code>
calls will make the console read-only again.</p>
<p>– Console Styles –</p>
<p>The styles use a bit mask to represent different things within the console.</p>
<table border="1" class="docutils">
<colgroup>
<col width="17%" />
<col width="19%" />
<col width="64%" />
</colgroup>
<tbody valign="top">
<tr class="row-odd"><td>Bit</td>
<td>Value</td>
<td>Meaning</td>
</tr>
<tr class="row-even"><td>0</td>
<td>1</td>
<td>STDERR output, or a parsed
error</td>
</tr>
<tr class="row-odd"><td>1</td>
<td>2</td>
<td>Hotspot - clickable link</td>
</tr>
<tr class="row-even"><td>2</td>
<td>4</td>
<td>A parsed warning</td>
</tr>
</tbody>
</table>
<p>This produces the following style values:</p>
<table border="1" class="docutils">
<colgroup>
<col width="17%" />
<col width="83%" />
</colgroup>
<tbody valign="top">
<tr class="row-odd"><td>Style</td>
<td>Description</td>
</tr>
<tr class="row-even"><td>0</td>
<td>Standard (default) style</td>
</tr>
<tr class="row-odd"><td>1</td>
<td>STDERR or error</td>
</tr>
<tr class="row-even"><td>2</td>
<td>Hotspot clickable link, but not error
or warning</td>
</tr>
<tr class="row-odd"><td>3</td>
<td>Hotspot clickable link, Error</td>
</tr>
<tr class="row-even"><td>4</td>
<td>Warning, but not clickable</td>
</tr>
<tr class="row-odd"><td>5</td>
<td>Warning produced on stderr, not
clickable</td>
</tr>
<tr class="row-even"><td>6</td>
<td>Clickable warning, from stdout</td>
</tr>
<tr class="row-odd"><td>7</td>
<td>Clickable warning on stderr</td>
</tr>
</tbody>
</table>
</dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="scintilla.html"
                        title="previous chapter">Editor Object</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="enums.html"
                        title="next chapter">Enums</a></p>
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/console.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="enums.html" title="Enums"
             >next</a> |</li>
        <li class="right" >
          <a href="scintilla.html" title="Editor Object"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">PythonScript 1.5.4.0 documentation</a> &#187;</li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2010,2014,2018 Dave Brotherstone.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 1.8.5.
    </div>
  </body>
</html>